<%@ PAGE LANGUAGE="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Drawing" %>
<html>
<head>
<script runat="server">
void Page_Load(object sender, EventArgs e) {
	if (!IsPostBack) {
		datagrid1.DataSource = CreateDataSource();
		datagrid1.DataBind();
	}
}

ICollection CreateDataSource() {
	DirectoryInfo di = new DirectoryInfo(Server.MapPath("."));
	FileInfo[] fi = di.GetFiles();

	DataTable dt = new DataTable();
	DataRow dr;

	dt.Columns.Add(new DataColumn("fileid", typeof(int)));
	dt.Columns.Add(new DataColumn("filename", typeof(String)));
	dt.Columns.Add(new DataColumn("filesize", typeof(long)));
	dt.Columns.Add(new DataColumn("date", typeof(DateTime)));

	for (int i = 0; i < fi.Length; i++) {
		dr = dt.NewRow();
		dr[0] = i;
		dr[1] = fi[i].Name;
		dr[2] = fi[i].Length;
		dr[3] = fi[i].LastWriteTime;
		dt.Rows.Add(dr);
	}

	DataView dv = new DataView(dt);

	return dv;
}

void datagrid1_DataBound(object sender, DataGridItemEventArgs e) {
	if (e.Item.ItemType == ListItemType.Item ||
		e.Item.ItemType == ListItemType.AlternatingItem) {
		if (e.Item.DataItem != null) {
			DataRow row = ((DataRowView)e.Item.DataItem).Row;
			long size = (long) row["filesize"];
			if (size > 3072) {
				e.Item.ForeColor = Color.FromName("Red");
			}

			if (size > 5120) {
				TableCell cell = (TableCell) e.Item.Controls[1];
				cell.BackColor = Color.FromName("Red");
				cell.ForeColor = Color.FromName("White");
			}
		}
	}
}
</script>
</head>
<body bgcolor="#333366">

<form runat="server">
	<div align="center">
	<asp:DataGrid id="datagrid1"
		AutoGenerateColumns="false"

		GridLines="None"
		Width="100%"
		CellSpacing="1"
		BorderWidth="5"
		BorderColor="#000080"

		OnItemDataBound="datagrid1_DataBound"

		runat="server">

		<HeaderStyle BackColor="#000080" ForeColor="white" />
		<ItemStyle ForeColor="black" BackColor="#ffffcc" />
		<AlternatingItemStyle ForeColor="black" BackColor="#ffff66" />
		<SelectedItemStyle ForeColor="white" BackColor="#000080" />

		<Columns>
		<asp:BoundColumn HeaderText="t@C" DataField="filename" />
		<asp:BoundColumn HeaderText="TCY" DataField="filesize" ItemStyle-Width="10%" ItemStyle-HorizontalAlign="right" />
		<asp:BoundColumn HeaderText="XV" DataField="date" ItemStyle-Width="20%" />
		<asp:ButtonColumn CommandName="select" Text="I" ItemStyle-Width="10%" />
		</Columns>
	</asp:DataGrid>
	<asp:Label id="Message" runat="server" />
	</div>
</form>
</body>
</html>
